#include"bitmap.h"
#include<stdlib.h>
#include<stdio.h>

int main(int argc, char *argv[])
{
	if(argc != 3){
		fprintf(stderr, "Usage: program <inputfile> <outputfile>\n");
		exit(1);
	}

	Image *colorimg;
	int i, j;

	if((colorimg = Read_Bmp(argv[1])) == NULL){
		exit(1);
	}

		Rgb_to_Hsv(colorimg);
		//Hsvshifthue(colorimg, 350, 10, 70);
		//Hsvshiftsaturation(colorimg, 100, 0, 255);
		//Hsvshiftbright(colorimg, 30, 150, 255);
		Hsvshiftparam(colorimg, 60, 0, 255, 0, 359, 0, 255, 0, 255);
		Hsv_to_Rgb(colorimg);

	if(Write_Bmp(argv[2], colorimg)){
		exit(1);
	}

	Free_Image(colorimg);

	return 0;
}

